Text::Query::Optimize(3)

NAME
Text::Query::Parse - Base class for query parsers

SYNOPSIS
    package Text::Query::OptimizeSmart;

    use Text::Query::Optimize;

    use vars qw(@ISA);

    @ISA = qw(Text::Query::Optimize);

DESCRIPTION
This module provides a virtual base class for query optimizers.

It defines the "optimize" method that is called by the "Text::Query" object to optimize the internal query.

METHODS

optimize (INTERNAL)
    Returns the "INTERNAL" argument after optimization. The default implementation returns the argument untouched.

SEE ALSO
Text::Query(3)

AUTHORS
Eric Bohlman (ebohlman@netcom.com)

Loic Dachary (loic@senga.org)